0

Reddit provides a nice simple tutorial(and Youtube) but upon entering the command:

snap install nextcloud

(even with a sudo prefix) I get the following error:

error: cannot communicate with server: Post http://localhost/v2/snaps/nextcloud: dial unix /run/snapd.socket: connect: connection refused

How can I fix this?

snapd1 snapd2

7
  • It looks like snapd is not working. Is snapd installed on your system? sudo apt install snapd if not. You may also need to reboot if you just installed snapd. – Thomas Ward Jun 7 at 13:29
  • When I ran the command to install it from my guilds I got the same response. snapd is already the newest version (2.48.3+20.04). – CloudE11 Jun 7 at 14:08
  • Have you rebooted since installation? You also usually need to use sudo to do snap installs. – Thomas Ward Jun 7 at 14:10
  • It was already installed so yes. – CloudE11 Jun 7 at 14:37
  • Check sudo systemctl status -l snapd - does it show any error messages in the logs about snaps not starting or such? – Thomas Ward Jun 7 at 14:47

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.